#! /bin/bash


# script to start prism2 wlan for fedora FC5 udev 
#udev rule
#ACTION=="add",BUS=="usb",DRIVER=="prism2_usb",RUN+="/etc/wlan/wlan-udev.sh %k"



DEVICE=$1
WLAN_UDEV=1

. /etc/wlan/shared

wlan_bring_it_up $DEVICE $WLAN_WEXT
if [ $? = 0 ] ; then
    echo $DEVICE start OK
    #allow time during boot to let other things start
    sleep 5
    /sbin/ifup $DEVICE
else
    echo $DEVICE failed to come up! >&2
    exit 1
fi

